Booklinker.API

<back to all web services

PostPendingAffiliateTokensRequest

The following routes are available for this service:
POST/v1/pending-affiliate-tokens
PostPendingAffiliateTokensRequest Parameters:
NameParameterData TypeRequiredDescription
TokenbodystringNo
GroupIdbodyuintNo
ParametersbodyDictionary<string, string>No
ProgramGuidbodyGuidNo
PostPendingAffiliateTokensResponse Parameters:
NameParameterData TypeRequiredDescription
SuccessformboolNo
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/pending-affiliate-tokens HTTP/1.1 
Host: api.booklinker.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"token":"String","groupId":0,"parameters":{"String":"String"}}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"success":false,"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}